rpm 4.19.1.1 The RPM Package Manager

Loading...
Searching...
No Matches
Data Fields
rpmQVKArguments_s Struct Reference
I/O » Command Line API.

`#include <rpmcli.h>`

## Data Fields
rpmQVSources | qva_source
int | qva_sourceCount
rpmQueryFlags | qva_flags
rpmfileAttrs | qva_incattr
rpmfileAttrs | qva_excattr
rpmVerifyAttrs | qva_ofvattr
QVF_t | qva_showPackage
QSpecF_t | qva_specQuery
char * | qva_queryFormat
char | qva_mode

## Detailed Description

Describe query/verify/signature command line operation.

## Field Documentation

## ◆ qva_excattr

rpmfileAttrs rpmQVKArguments_s::qva_excattr

Bit(s) to exclude on attribute.

## ◆ qva_flags

rpmQueryFlags rpmQVKArguments_s::qva_flags

Bit(s) to control operation.

## ◆ qva_incattr

rpmfileAttrs rpmQVKArguments_s::qva_incattr

Bit(s) to include on attribute.

## ◆ qva_mode

char rpmQVKArguments_s::qva_mode

- 'q' from –query, -q
- 'Q' from –querytags
- 'V' from –verify, -V
- 'I' from –import
- 'K' from –checksig, -K

## ◆ qva_ofvattr

rpmVerifyAttrs rpmQVKArguments_s::qva_ofvattr

Bit(s) to omit on file verification.

## ◆ qva_queryFormat

char* rpmQVKArguments_s::qva_queryFormat

Format for headerFormat().

## ◆ qva_showPackage

QVF_t rpmQVKArguments_s::qva_showPackage

Function to display iterator matches.

## ◆ qva_source

rpmQVSources rpmQVKArguments_s::qva_source

Identify CLI arg type.

## ◆ qva_sourceCount

int rpmQVKArguments_s::qva_sourceCount

Exclusive option check (>1 is error).

## ◆ qva_specQuery

QSpecF_t rpmQVKArguments_s::qva_specQuery

Function to query spec file.

The documentation for this struct was generated from the following file:

- /tmp/rpm-20240229-5467-git1p2/rpm-4.19.1.1/include/rpm/rpmcli.h